package main

import (
	"bufio"
	"fmt"
	"os"
	"path/filepath"

	"github.com/urfave/cli"

	"gitlab.33.cn/link33/sidecar/internal/repo"
	"gitlab.33.cn/link33/sidecar/tool"
)

var initCMD = cli.Command{
	Name:  "init",
	Usage: "Initialize sidecar local configuration",
	Action: func(ctx *cli.Context) error {
		repoRoot, err := repo.PathRootWithDefault(ctx.GlobalString("repo"))
		if err != nil {
			return err
		}

		if tool.Exist(filepath.Join(repoRoot, repo.ConfigName)) {
			fmt.Println("sidecar configuration file already exists")
			fmt.Println("reinitializing would overwrite your configuration, Y/N?")
			input := bufio.NewScanner(os.Stdin)
			input.Scan()
			if input.Text() == "Y" || input.Text() == "y" {
				return repo.Initialize(repoRoot)
			}
			return nil
		}

		return repo.Initialize(repoRoot)
	},
}
